import Vue from "vue";
import "vant/lib/vant-css/index.css";
import preview from "vue-photo-preview";
import "vue-photo-preview/dist/skin.css";
import "@/assets/css/base.less";
import "@/assets/css/common.less";
import apis from "@/common/api.js";
import net from "@/common/net.js";
import util from "@/common/utils.js";
import C from "@/common/c.js";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import Clipboard from "vue-clipboard2";

import "@/common/vant.js";
import "@/common/elementUI.js";

Vue.config.productionTip = false;

Vue.prototype.$apis = apis;
Vue.prototype.$net = net;
Vue.prototype.$util = util;
Vue.prototype.$C = C;

Vue.use(preview);
Vue.use(Clipboard);

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
